Package org.apache.syncope.core.persistence.jpa.upgrade

# Class SyncopeCorePersistenceJPAUpgrader

java.lang.Object
org.apache.syncope.core.persistence.jpa.upgrade.SyncopeCorePersistenceJPAUpgrader

All Implemented Interfaces:
  `org.springframework.boot.CommandLineRunner`

@SpringBootApplication(exclude=org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration.class) public class SyncopeCorePersistenceJPAUpgrader extends Object implements org.springframework.boot.CommandLineRunner

## Constructor Summary

Constructors
Constructor
Description
`SyncopeCorePersistenceJPAUpgrader()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`void`
`run(String... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SyncopeCorePersistenceJPAUpgrader

public SyncopeCorePersistenceJPAUpgrader()

## Method Details

### main

public static void main(String[] args)

### run

public void run(String... args) throws Exception

Specified by:
  `run` in interface `org.springframework.boot.CommandLineRunner`
Throws:
  `Exception`